Create account disbursements

Use the following endpoint to create an account disbursement:
  • POST /billing/v1/accounts/{accountId}/disbursements

The following fields are required when creating an account disbursement:

Field Description Note
address The address of the recipient, as a string
dueDate The date the outgoing payment is due to be created, as a datetime string Cannot be in the past
mailTo The name of the recipient, as a string By default this is the same as the payTo field, but can be different
payTo The name of the payee, as a string
reason An entry in the Reason typelist (for example, Cancellation or PolicyChange)
amount The amount of the disbursement, as a monetaryAmount object Must not be greater than the amount in the account's default unapplied fund

For example, the following request creates an account disbursement with the minimum required fields.

Command
POST /billing/v1/accounts/bc:2918/disbursements
Request body
{
    "data": {
        "attributes": {
            "address": "995 N. Wildflower Way",
            "dueDate": "2025-11-11",
            "payTo": "Allrisk Agency",
            "reason": {
                "code": "Overpay"
            },
            "amount": {
                "amount": "50",
                "currency": "usd"
            }
        }
    }
}

If the payment instrument is not specified, the producer’s default payment instrument is used.

If the request is successful, the request returns a payload containing information about the created disbursement.